include ../Makefile.common

OBJ = $(patsubst %.c,%.o,$(wildcard *.c))
LIBNAME = libz.a

all: $(LIBNAME)

$(LIBNAME): $(OBJ)
		@echo Creating archive $@
		@ar -csru $@ $(OBJ)
		@echo
		
clean:
	-@$(RM) *.o
	-@$(RM) *.d
	-@$(RM) $(LIBNAME)
